Skip to main content
GET
Stock handed to a person, a project, a department, a cost centre or an asset, with how much of

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
part_id
string
part_number
string
part_name
string
unit_of_measure
string
warehouse_id
string
warehouse_code
string
warehouse_name
string
site_id
string
issued_to_kind
string
issued_to_name
string
issued_to_code
string
issued_to_worker_id
string
project_id
string
department_id
string
cost_center_id
string
asset_id
string
quantity_issued
string
quantity_returned
string
quantity_used_up
string
used_up_at_issue
string
quantity_outstanding
string
unit_cost
string
unit_cost_currency_id
string
reason_code
string
notes
string
occurred_at
string
worker_id
string
issued_by_name
string
created_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

cost_center_id
string<uuid>

Note: This is a Foreign Key to cost_centre_settings.id.

created_at
string<timestamp with time zone>
department_id
string<uuid>

Note: This is a Foreign Key to department_settings.id.

id
string<uuid>

Note: This is a Primary Key.

issued_by_name
string<character varying>
Maximum string length: 200
issued_to_code
string<character varying>
issued_to_kind
string<text>
issued_to_name
string<character varying>
issued_to_worker_id
string<uuid>

Note: This is a Foreign Key to assignable_workers.id.

notes
string<text>
occurred_at
string<timestamp with time zone>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
project_id
string<uuid>

Note: This is a Foreign Key to project_settings.id.

quantity_issued
number<numeric>
quantity_outstanding
number<numeric>
quantity_returned
number<numeric>
quantity_used_up
number<numeric>
reason_code
string<character varying>
Maximum string length: 60
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

unit_cost
number<numeric>
unit_cost_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

unit_of_measure
string<character varying>
Maximum string length: 30
used_up_at_issue
boolean<boolean>
warehouse_code
string<character varying>
Maximum string length: 60
warehouse_id
string<uuid>

Note: This is a Foreign Key to warehouse_settings.id.

warehouse_name
string<character varying>
Maximum string length: 200
worker_id
string<uuid>

Note: This is a Foreign Key to assignable_workers.id.